<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta type="Content-type" content="text/html;charset=UTF-8" />
	<title>快速排序-2</title>
	<style type="text/css"></style>
</head>
<body>
	<script type="text/javascript">
    console.log('begin');
    setTimeout(() => {
        console.log('setTimeout 1');
        Promise.resolve().then(() => {
                console.log('promise 1');
                setTimeout(() => {
                    console.log('setTimeout2 between     promise1&2');
                })
        }).then(() => {
            console.log('promise 2');
    });
    new Promise((resolve) => {
        console.log('a');
        resolve();
    }).then(() => {
        console.log('b');
    })
    }, 0);
    console.log('end');

	</script>
</body>
</html>